# Uses of Class
ij.plugin.frame.Editor

Packages that use Editor
Package
Description
ij.macro
ij.plugin
ij.plugin.frame

## Uses of Editor in ij.macro

Methods in ij.macro with parameters of type Editor
Modifier and Type
Method
Description
`void`
MacroRunner.`setEditor(Editor editor)`
Use the specified Editor to run the macro in debug mode.
Constructors in ij.macro with parameters of type Editor
Modifier
Constructor
Description
``
`FunctionFinder(Editor editor)`
``
`MacroRunner(Program pgm, int address, String name, Editor editor)`
Runs a tokenized macro in debug mode if 'editor' is not null.

## Uses of Editor in ij.plugin

Methods in ij.plugin that return Editor
Modifier and Type
Method
Description
`Editor`
NewPlugin.`getEditor()`
Returns the Editor the newly created macro or plugin was opened in.
Methods in ij.plugin with parameters of type Editor
Modifier and Type
Method
Description
`void`
MacroInstaller.`runMacro(String name, Editor editor)`

## Uses of Editor in ij.plugin.frame

Fields in ij.plugin.frame declared as Editor
Modifier and Type
Field
Description
`static Editor`
Editor.`currentMacroEditor`
Methods in ij.plugin.frame that return Editor
Modifier and Type
Method
Description
`static Editor`
Editor.`getInstance()`